local t = Def.ActorFrame{
	Def.ActorFrame{
		Condition=THEME:GetMetric( Var "LoadingScreen","Summary" ) == false;

		--white
		--PLAYER_1
		Def.ActorFrame{
			InitCommand=function(self)
				local hp1 = GAMESTATE:IsHumanPlayer(PLAYER_1);
				local ss = STATSMAN:GetCurStageStats();
				local p1ss = ss:GetPlayerStageStats(PLAYER_1);
				if hp1 then
					if not ss:AllFailed() then
						if p1ss:FullCombo() and p1ss:GetTapNoteScores('TapNoteScore_HitMine') == 0 then
							if GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no little") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no nofakes") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no nohands") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no noholds") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no nojumps") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no nolifts") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no nomines") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no noquads") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no norolls") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no nostretch") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no autoplay") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_1,"no assisttick") == true then
								self:visible(true);
								self:x(SCREEN_CENTER_X-160);
							else
								self:visible(false);
							end;
						else
							self:visible(false);
						end;
					else
						self:visible(false);
					end;
				else
					self:visible(false);
				end;
			end;


			LoadActor("lineeffect")..{
			};
		
			LoadActor(THEME:GetPathG("","combo01" ))..{
				OnCommand=cmd(y,SCREEN_CENTER_Y;diffuse,color("0.8,1,0,1");zoom,0;linear,0.1;zoomx,5;zoomy,0.3;decelerate,0.6;zoomx,1;accelerate,0.2;zoomy,1;sleep,0.8;linear,0.2;glowshift;effectperiod,0.2;effectcolor1,color("1,1,1,0");effectcolor2,color("0.8,0.3,0,1");linear,0.3;zoom,0.35;x,-20;y,SCREEN_CENTER_Y+90+16);
			};

			--PLAYER_1
			--layer 31
			LoadActor(THEME:GetPathB("","graph" ))..{
				OnCommand=cmd(x,-108;y,SCREEN_CENTER_Y-94+16;zoom,0;linear,1;zoom,0.4;rotationy,-30;rotationx,70;rotationz,100;spin;effectmagnitude,0,0,-200);
			};
		
			--layer 32
			LoadActor(THEME:GetPathB("","graph" ))..{
				OnCommand=cmd(x,-108;y,SCREEN_CENTER_Y-104+16;diffuse,color("1,0.8,0,1");zoom,0;linear,1;zoom,0.4;rotationy,30;rotationx,70;rotationz,100;spin;effectmagnitude,60,100,-200);
			};
		
			--PLAYER_1
			Def.Sprite{
				InitCommand=cmd(x,-60;y,SCREEN_CENTER_Y+90+16;horizalign,right;zoom,0.35;zoomy,0;sleep,1.6;linear,0.2;zoomy,0.375;glowshift;effectperiod,0.2;effectcolor1,color("1,1,1,0");effectcolor2,color("0.8,0.3,0,1"));
				OnCommand=function(self)
					local hp1 = GAMESTATE:IsHumanPlayer(PLAYER_1);
					local ss = STATSMAN:GetCurStageStats();
					local p1ss = ss:GetPlayerStageStats(PLAYER_1);
					if hp1 then
						if p1ss:FullComboOfScore('TapNoteScore_W1') == true then
							self:Load(THEME:GetPathB("ScreenEvaluation","overlay/Award FullComboMarvelous"));
							self:visible(true);
						elseif p1ss:FullComboOfScore('TapNoteScore_W2') == true then
							self:Load(THEME:GetPathB("ScreenEvaluation","overlay/Award FullComboPerfects"));
							self:visible(true);
						elseif p1ss:FullComboOfScore('TapNoteScore_W3') == true then
							self:Load(THEME:GetPathB("ScreenEvaluation","overlay/Award FullComboGreates"));
							self:visible(true);
						else
							self:visible(false);
						end;
					else
						self:visible(false);
					end;
				end;
			};

		};
	
		--PLAYER_2
		Def.ActorFrame{
			InitCommand=function(self)
				local hp2 = GAMESTATE:IsHumanPlayer(PLAYER_2);
				local ss = STATSMAN:GetCurStageStats();
				local p2ss = ss:GetPlayerStageStats(PLAYER_2);
				if hp2 then
					if not ss:AllFailed() then
						if p2ss:FullCombo() and p2ss:GetTapNoteScores('TapNoteScore_HitMine') == 0 then
							if GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no little") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no nofakes") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no nohands") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no noholds") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no nojumps") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no nolifts") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no nomines") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no noquads") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no norolls") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no nostretch") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no autoplay") == true and GAMESTATE:PlayerIsUsingModifier(PLAYER_2,"no assisttick") == true then
								self:visible(true);
								self:x(SCREEN_CENTER_X+160);
							else
								self:visible(false);
							end;
						else
							self:visible(false);
						end;
					else
						self:visible(false);
					end;
				else
					self:visible(false);
				end;
			end;

			LoadActor("lineeffect")..{
			};

			LoadActor(THEME:GetPathG("","combo01" ))..{
				OnCommand=cmd(y,SCREEN_CENTER_Y;diffuse,color("0.8,1,0,1");zoom,0;linear,0.1;zoomx,5;zoomy,0.3;decelerate,0.6;zoomx,1;accelerate,0.2;zoomy,1;sleep,0.8;linear,0.2;glowshift;effectperiod,0.2;effectcolor1,color("1,1,1,0");effectcolor2,color("0.8,0.3,0,1");linear,0.3;zoom,0.35;x,100;y,SCREEN_CENTER_Y+90+16);
			};
		
			--PLAYER_2
			--layer 33
			LoadActor(THEME:GetPathB("","graph" ))..{
				OnCommand=cmd(x,28;y,SCREEN_CENTER_Y-94+16;zoom,0;linear,1;zoom,0.4;rotationy,-30;rotationx,70;rotationz,100;spin;effectmagnitude,0,0,-200);
			};
		
			--layer 34
			LoadActor(THEME:GetPathB("","graph" ))..{
				OnCommand=cmd(x,28;y,SCREEN_CENTER_Y-104+16;diffuse,color("1,0.8,0,1");zoom,0;linear,1;zoom,0.4;rotationy,30;rotationx,70;rotationz,100;spin;effectmagnitude,60,100,-200);
			};
		
			--PLAYER_2
			Def.Sprite{
				InitCommand=cmd(x,60;y,SCREEN_CENTER_Y+90+16;horizalign,right;zoom,0.35;zoomy,0;sleep,1.6;linear,0.2;zoomy,0.375;glowshift;effectperiod,0.2;effectcolor1,color("1,1,1,0");effectcolor2,color("0.8,0.3,0,1"));
				OnCommand=function(self)
					local hp2 = GAMESTATE:IsHumanPlayer(PLAYER_2);
					local ss = STATSMAN:GetCurStageStats();
					local p2ss = ss:GetPlayerStageStats(PLAYER_2);
					if hp2 then
						if p2ss:FullComboOfScore('TapNoteScore_W1') == true then
							self:Load(THEME:GetPathB("ScreenEvaluation","overlay/Award FullComboMarvelous"));
							self:visible(true);
						elseif p2ss:FullComboOfScore('TapNoteScore_W2') == true then
							self:Load(THEME:GetPathB("ScreenEvaluation","overlay/Award FullComboPerfects"));
							self:visible(true);
						elseif p2ss:FullComboOfScore('TapNoteScore_W3') == true then
							self:Load(THEME:GetPathB("ScreenEvaluation","overlay/Award FullComboGreates"));
							self:visible(true);
						else
							self:visible(false);
						end;
					else
						self:visible(false);
					end;
				end;
			};

		};
	};
};
return t;
